# DomainC.cpp File Reference

`#include "DomainC.h"`
`#include "tao/CDR.h"`
`#include "tao/Invocation_Adapter.h"`
`#include "tao/Object_T.h"`
`#include "tao/Basic_Arguments.h"`
`#include "tao/Object_Argument_T.h"`
`#include "tao/Special_Basic_Arguments.h"`
`#include "ace/OS_NS_string.h"`
`#include "tao/ORB_Core.h"`
`#include "tao/IFR_Client_Adapter.h"`
`#include "tao/Any_Insert_Policy_T.h"`
`#include "ace/Dynamic_Service.h"`

Include dependency graph for DomainC.cpp:

## Namespaces

namespace | CORBA
namespace | TAO

## Classes

class | TAO::Arg_Traits< CORBA::Policy >
class | TAO::Arg_Traits< CORBA::InterfaceDef >

## Defines

#define | _CORBA_POLICY__ARG_TRAITS_CS_
#define | _CORBA_INTERFACEDEF__ARG_TRAITS_CS_
#define | _CORBA_DOMAINMANAGERLIST_CS_

## Typedefs

typedef TAO_Objref_Var_T< InterfaceDef > | InterfaceDef_var
typedef TAO_Objref_Out_T< InterfaceDef > | InterfaceDef_out

## Functions

template<>
CORBA::Boolean | In_Object_Argument_T< CORBA::InterfaceDef_ptr, TAO::Any_Insert_Policy_IFR_Client_Adapter< CORBA::InterfaceDef_ptr > >::marshal (TAO_OutputCDR &cdr)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::DomainManager_ptr _tao_objref)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::DomainManager_ptr &_tao_objref)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::ConstructionPolicy_ptr _tao_objref)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::ConstructionPolicy_ptr &_tao_objref)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::DomainManagerList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::DomainManagerList &_tao_sequence)

## Variables

TAO::Collocation_Proxy_Broker *(* | CORBA__TAO_DomainManager_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
TAO::Collocation_Proxy_Broker *(* | CORBA__TAO_ConstructionPolicy_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0

## Define Documentation

#define _CORBA_DOMAINMANAGERLIST_CS_

#define _CORBA_INTERFACEDEF__ARG_TRAITS_CS_

#define _CORBA_POLICY__ARG_TRAITS_CS_

## Typedef Documentation

typedef TAO_Objref_Out_T<InterfaceDef> CORBA::InterfaceDef_out

typedef TAO_Objref_Var_T<InterfaceDef> CORBA::InterfaceDef_var

## Function Documentation

template<>
CORBA::Boolean In_Object_Argument_T< CORBA::InterfaceDef_ptr, TAO::Any_Insert_Policy_IFR_Client_Adapter< CORBA::InterfaceDef_ptr > >::marshal | ( | TAO_OutputCDR & | cdr | ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::DomainManagerList & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::ConstructionPolicy_ptr | _tao_objref
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::DomainManager_ptr | _tao_objref
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::DomainManagerList & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::ConstructionPolicy_ptr & | _tao_objref
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::DomainManager_ptr & | _tao_objref
| ) |

## Variable Documentation

TAO::Collocation_Proxy_Broker*(* CORBA__TAO_ConstructionPolicy_Proxy_Broker_Factory_function_pointer)(CORBA::Object_ptr obj)=0

TAO::Collocation_Proxy_Broker*(* CORBA__TAO_DomainManager_Proxy_Broker_Factory_function_pointer)(CORBA::Object_ptr obj)=0